Bug 983815 - Kernel Module snd_hda_intel crash
Kernel Module snd_hda_intel crash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 22:43 EDT by gcarter
Modified: 2013-10-08 12:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:56:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Snapshot of stack and register values before crash (496.92 KB, image/jpeg)
2013-07-15 02:46 EDT, gcarter
no flags Details

  None (edit)
Description gcarter 2013-07-11 22:43:46 EDT
Description of problem:

Kernel, 3.10, 3.9 series snd_hda_intel module crashes the entire system. Requires power cycle afterwards.


Version-Release number of selected component (if applicable):
3.10/3.9 snd_hda_intel included with kernel.

How reproducible:
Any attempt to open the sound dsp processor results in lockup.  More detail below.

Steps to Reproduce:
1.Use and sound source.
2.
3.

Actual results:
System Lockup, hard, not recoverable.

Expected results:
Play "Wooden Ships on the water very free...and easy..." dammit.  :-)

Additional info:

System is a newly purchased Panther 5SE Eurocom to serve as a portable data center.

[root@maat ~]# lspci -v
00:00.0 Host bridge: Intel Corporation Xeon E5/Core i7 DMI2 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [90] Express Root Port (Slot-), MSI 00
        Capabilities: [e0] Power Management version 3
        Capabilities: [100] Vendor Specific Information: ID=0002 Rev=0 Len=00c <?>
        Capabilities: [144] Vendor Specific Information: ID=0004 Rev=1 Len=03c <?>
        Capabilities: [1d0] Vendor Specific Information: ID=0003 Rev=1 Len=00a <?>
        Capabilities: [280] Vendor Specific Information: ID=0004 Rev=2 Len=018 <?>

00:02.0 PCI bridge: Intel Corporation Xeon E5/Core i7 IIO PCI Express Root Port 2a (rev 07) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: fb400000-fb4fffff
        Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
        Capabilities: [40] Subsystem: CLEVO/KAPOK Computer Device 0270
        Capabilities: [60] MSI: Enable+ Count=1/2 Maskable+ 64bit-
        Capabilities: [90] Express Root Port (Slot+), MSI 00
        Capabilities: [e0] Power Management version 3
        Capabilities: [100] Vendor Specific Information: ID=0002 Rev=0 Len=00c <?>
        Capabilities: [110] Access Control Services
        Capabilities: [148] Advanced Error Reporting
        Capabilities: [1d0] Vendor Specific Information: ID=0003 Rev=1 Len=00a <?>
        Capabilities: [250] #19
        Capabilities: [280] Vendor Specific Information: ID=0004 Rev=2 Len=018 <?>
        Kernel driver in use: pcieport

00:03.0 PCI bridge: Intel Corporation Xeon E5/Core i7 IIO PCI Express Root Port 3a in PCI Express Mode (rev 07) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        Capabilities: [40] Subsystem: CLEVO/KAPOK Computer Device 0270
        Capabilities: [60] MSI: Enable+ Count=1/2 Maskable+ 64bit-
        Capabilities: [90] Express Root Port (Slot+), MSI 00
        Capabilities: [e0] Power Management version 3
        Capabilities: [100] Vendor Specific Information: ID=0002 Rev=0 Len=00c <?>
        Capabilities: [110] Access Control Services
        Capabilities: [148] Advanced Error Reporting
        Capabilities: [1d0] Vendor Specific Information: ID=0003 Rev=1 Len=00a <?>
        Capabilities: [250] #19
        Capabilities: [280] Vendor Specific Information: ID=0004 Rev=2 Len=018 <?>
        Kernel driver in use: pcieport

00:05.0 System peripheral: Intel Corporation Xeon E5/Core i7 Address Map, VTd_Misc, System Management (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

00:05.2 System peripheral: Intel Corporation Xeon E5/Core i7 Control Status and Global Errors (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

00:05.4 PIC: Intel Corporation Xeon E5/Core i7 I/O APIC (rev 07) (prog-if 20 [IO(X)-APIC])
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, fast devsel, latency 0
        Memory at fb52a000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [6c] Power Management version 3

00:11.0 PCI bridge: Intel Corporation C600/X79 series chipset PCI Express Virtual Root Port (rev 05) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        Capabilities: [40] Express Root Port (Slot-), MSI 00
        Capabilities: [80] Power Management version 3
        Capabilities: [88] Subsystem: Intel Corporation C600/X79 series chipset PCI Express Virtual Root Port
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [138] Access Control Services
        Kernel driver in use: pcieport

00:16.0 Communication controller: Intel Corporation C600/X79 series chipset MEI Controller #1 (rev 05)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, fast devsel, latency 0, IRQ 82
        Memory at fb529000 (64-bit, non-prefetchable) [size=16]
        Capabilities: [50] Power Management version 3
        Capabilities: [8c] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Kernel driver in use: mei

00:19.0 Ethernet controller: Intel Corporation 82579V Gigabit Network Connection (rev 05)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, fast devsel, latency 0, IRQ 84
        Memory at fb500000 (32-bit, non-prefetchable) [size=128K]
        Memory at fb528000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at f040 [size=32]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [e0] PCI Advanced Features
        Kernel driver in use: e1000e

00:1a.0 USB controller: Intel Corporation C600/X79 series chipset USB2 Enhanced Host Controller #2 (rev 05) (prog-if 20 [EHCI])
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, medium devsel, latency 0, IRQ 16
        Memory at fb527000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port: BAR=1 offset=00a0
        Capabilities: [98] PCI Advanced Features
        Kernel driver in use: ehci-pci

00:1b.0 Audio device: Intel Corporation C600/X79 series chipset High Definition Audio Controller (rev 05)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, fast devsel, latency 0, IRQ 3
        Memory at fb520000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
        Capabilities: [100] Virtual Channel
        Capabilities: [130] Root Complex Link

00:1c.0 PCI bridge: Intel Corporation C600/X79 series chipset PCI Express Root Port 1 (rev b5) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        Memory behind bridge: fb300000-fb3fffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: CLEVO/KAPOK Computer Device 0270
        Capabilities: [a0] Power Management version 2
        Kernel driver in use: pcieport

00:1c.1 PCI bridge: Intel Corporation C600/X79 series chipset PCI Express Root Port 2 (rev b5) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=05, subordinate=06, sec-latency=0
        Memory behind bridge: fb200000-fb2fffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: CLEVO/KAPOK Computer Device 0270
        Capabilities: [a0] Power Management version 2
        Kernel driver in use: pcieport

00:1c.2 PCI bridge: Intel Corporation C600/X79 series chipset PCI Express Root Port 3 (rev b5) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
        Memory behind bridge: fb100000-fb1fffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: CLEVO/KAPOK Computer Device 0270
        Capabilities: [a0] Power Management version 2
        Kernel driver in use: pcieport

00:1c.3 PCI bridge: Intel Corporation C600/X79 series chipset PCI Express Root Port 4 (rev b5) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=08, subordinate=08, sec-latency=0
        Memory behind bridge: fb000000-fb0fffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: CLEVO/KAPOK Computer Device 0270
        Capabilities: [a0] Power Management version 2
        Kernel driver in use: pcieport

00:1c.7 PCI bridge: Intel Corporation C600/X79 series chipset PCI Express Root Port 8 (rev b5) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=09, subordinate=0a, sec-latency=0
        I/O behind bridge: 00002000-00004fff
        Memory behind bridge: fa000000-faffffff
        Prefetchable memory behind bridge: 00000000f0000000-00000000f0ffffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: CLEVO/KAPOK Computer Device 0270
        Capabilities: [a0] Power Management version 2
        Kernel driver in use: pcieport

00:1d.0 USB controller: Intel Corporation C600/X79 series chipset USB2 Enhanced Host Controller #1 (rev 05) (prog-if 20 [EHCI])
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, medium devsel, latency 0, IRQ 23
        Memory at fb526000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port: BAR=1 offset=00a0
        Capabilities: [98] PCI Advanced Features
        Kernel driver in use: ehci-pci

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a5) (prog-if 01 [Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=32
        Capabilities: [50] Subsystem: CLEVO/KAPOK Computer Device 0270

00:1f.0 ISA bridge: Intel Corporation C600/X79 series chipset LPC Controller (rev 05)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information: Len=0c <?>
        Kernel driver in use: lpc_ich

00:1f.2 SATA controller: Intel Corporation C600/X79 series chipset 6-Port SATA AHCI Controller (rev 05) (prog-if 01 [AHCI 1.0])
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 72
        I/O ports at f090 [size=8]
        I/O ports at f080 [size=4]
        I/O ports at f070 [size=8]
        I/O ports at f060 [size=4]
        I/O ports at f020 [size=32]
        Memory at fb525000 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [70] Power Management version 3
        Capabilities: [a8] SATA HBA v1.0
        Capabilities: [b0] PCI Advanced Features
        Kernel driver in use: ahci

00:1f.3 SMBus: Intel Corporation C600/X79 series chipset SMBus Host Controller (rev 05)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: medium devsel, IRQ 18
        Memory at fb524000 (64-bit, non-prefetchable) [size=256]
        I/O ports at f000 [size=32]
        Kernel driver in use: i801_smbus

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wimbledon XT [Radeon HD 7970M] (prog-if 00 [VGA controller])
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, fast devsel, latency 0, IRQ 81
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at fb400000 (64-bit, non-prefetchable) [size=256K]
        I/O ports at e000 [size=256]
        Expansion ROM at fb440000 [disabled] [size=128K]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Legacy Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [150] Advanced Error Reporting
        Capabilities: [270] #19
        Capabilities: [2b0] Address Translation Service (ATS)
        Capabilities: [2c0] #13
        Capabilities: [2d0] #1b
        Kernel driver in use: radeon

01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, fast devsel, latency 0, IRQ 10
        Memory at fb460000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Legacy Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [150] Advanced Error Reporting

04:00.0 USB controller: Texas Instruments TUSB73x0 SuperSpeed USB 3.0 xHCI Host Controller (rev 02) (prog-if 30 [XHCI])
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at fb300000 (64-bit, non-prefetchable) [size=64K]
        Memory at fb310000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [40] Power Management version 3
        Capabilities: [48] MSI: Enable- Count=1/8 Maskable- 64bit+
        Capabilities: [70] Express Endpoint, MSI 00
        Capabilities: [c0] MSI-X: Enable+ Count=8 Masked-
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [150] Device Serial Number 08-00-28-00-00-20-00-00
        Kernel driver in use: xhci_hcd

05:00.0 PCI bridge: Texas Instruments XIO2213A/B/XIO2221 PCI Express to PCI Bridge [Cheetah Express] (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=05, secondary=06, subordinate=06, sec-latency=32
        Memory behind bridge: fb200000-fb2fffff
        Capabilities: [50] Power Management version 3
        Capabilities: [60] MSI: Enable- Count=1/16 Maskable- 64bit+
        Capabilities: [80] Subsystem: Device 0000:0000
        Capabilities: [90] Express PCI/PCI-X Bridge, MSI 00
        Capabilities: [100] Advanced Error Reporting

06:00.0 FireWire (IEEE 1394): Texas Instruments XIO2213A/B/XIO2221 IEEE-1394b OHCI Controller [Cheetah Express] (rev 01) (prog-if 10 [OHCI])
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 17
        Memory at fb204000 (32-bit, non-prefetchable) [size=2K]
        Memory at fb200000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 3
        Kernel driver in use: firewire_ohci

07:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 3e)
        Subsystem: Intel Corporation Centrino Ultimate-N 6300 3x3 AGN
        Flags: bus master, fast devsel, latency 0, IRQ 85
        Memory at fb100000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [e0] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number 3c-a9-f4-ff-ff-05-f4-94
        Kernel driver in use: iwlwifi

08:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5229 PCI Express Card Reader (rev 01)
        Subsystem: Realtek Semiconductor Co., Ltd. RTS5229 PCI Express Card Reader
        Flags: bus master, fast devsel, latency 0, IRQ 83
        Memory at fb000000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [70] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number 00-00-00-01-00-4c-e0-00
        Kernel driver in use: rtsx_pci

ff:08.0 System peripheral: Intel Corporation Xeon E5/Core i7 QPI Link 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:08.3 System peripheral: Intel Corporation Xeon E5/Core i7 QPI Link Reut 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=0 Len=0f0 <?>

ff:08.4 System peripheral: Intel Corporation Xeon E5/Core i7 QPI Link Reut 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:09.0 System peripheral: Intel Corporation Xeon E5/Core i7 QPI Link 1 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:09.3 System peripheral: Intel Corporation Xeon E5/Core i7 QPI Link Reut 1 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=0 Len=0f0 <?>

ff:09.4 System peripheral: Intel Corporation Xeon E5/Core i7 QPI Link Reut 1 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:0a.0 System peripheral: Intel Corporation Xeon E5/Core i7 Power Control Unit 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0a.1 System peripheral: Intel Corporation Xeon E5/Core i7 Power Control Unit 1 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0a.2 System peripheral: Intel Corporation Xeon E5/Core i7 Power Control Unit 2 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0a.3 System peripheral: Intel Corporation Xeon E5/Core i7 Power Control Unit 3 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0b.0 System peripheral: Intel Corporation Xeon E5/Core i7 Interrupt Control Registers (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0b.3 System peripheral: Intel Corporation Xeon E5/Core i7 Semaphore and Scratchpad Configuration Registers (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0c.0 System peripheral: Intel Corporation Xeon E5/Core i7 Unicast Register 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0c.1 System peripheral: Intel Corporation Xeon E5/Core i7 Unicast Register 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0c.2 System peripheral: Intel Corporation Xeon E5/Core i7 Unicast Register 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0c.6 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller System Address Decoder 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0c.7 System peripheral: Intel Corporation Xeon E5/Core i7 System Address Decoder (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0d.0 System peripheral: Intel Corporation Xeon E5/Core i7 Unicast Register 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0d.1 System peripheral: Intel Corporation Xeon E5/Core i7 Unicast Register 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0d.2 System peripheral: Intel Corporation Xeon E5/Core i7 Unicast Register 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0d.6 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller System Address Decoder 1 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0e.0 System peripheral: Intel Corporation Xeon E5/Core i7 Processor Home Agent (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:0e.1 Performance counters: Intel Corporation Xeon E5/Core i7 Processor Home Agent Performance Monitoring (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Kernel driver in use: snbep_uncore

ff:0f.0 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Registers (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:0f.1 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller RAS Registers (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:0f.2 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Target Address Decoder 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:0f.3 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Target Address Decoder 1 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:0f.4 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Target Address Decoder 2 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:0f.5 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Target Address Decoder 3 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:0f.6 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Target Address Decoder 4 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:10.0 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Channel 0-3 Thermal Control 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00
        Kernel driver in use: snbep_uncore

ff:10.1 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Channel 0-3 Thermal Control 1 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00
        Kernel driver in use: snbep_uncore

ff:10.2 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller ERROR Registers 0 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:10.3 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller ERROR Registers 1 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:10.4 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Channel 0-3 Thermal Control 2 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00
        Kernel driver in use: snbep_uncore

ff:10.5 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller Channel 0-3 Thermal Control 3 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00
        Kernel driver in use: snbep_uncore

ff:10.6 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller ERROR Registers 2 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:10.7 System peripheral: Intel Corporation Xeon E5/Core i7 Integrated Memory Controller ERROR Registers 3 (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Capabilities: [40] Express Root Complex Integrated Endpoint, MSI 00

ff:11.0 System peripheral: Intel Corporation Xeon E5/Core i7 DDRIO (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:13.0 System peripheral: Intel Corporation Xeon E5/Core i7 R2PCIe (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:13.1 Performance counters: Intel Corporation Xeon E5/Core i7 Ring to PCI Express Performance Monitor (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Kernel driver in use: snbep_uncore

ff:13.4 Performance counters: Intel Corporation Xeon E5/Core i7 QuickPath Interconnect Agent Ring Registers (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel

ff:13.5 Performance counters: Intel Corporation Xeon E5/Core i7 Ring to QuickPath Interconnect Link 0 Performance Monitor (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Kernel driver in use: snbep_uncore

ff:13.6 System peripheral: Intel Corporation Xeon E5/Core i7 Ring to QuickPath Interconnect Link 1 Performance Monitor (rev 07)
        Subsystem: CLEVO/KAPOK Computer Device 0270
        Flags: fast devsel
        Kernel driver in use: snbep_uncore
--

Processor as follows:

[root@maat ~]# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 45
model name      : Intel(R) Xeon(R) CPU E5-2630 0 @ 2.30GHz
stepping        : 7
microcode       : 0x70d
cpu MHz         : 1357.000
cache size      : 15360 KB
physical id     : 0
siblings        : 12
core id         : 0
cpu cores       : 6
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 13
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid dca sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid
bogomips        : 4600.08
clflush size    : 64
cache_alignment : 64
address sizes   : 46 bits physical, 48 bits virtual
power management:

[..11]

--

Debug so far Info.

I have done a trace of the hda_intel.c code and it looks like the driver promptly blows up the system when it executes this routine and leaves:

static int azx_pcm_open(struct snd_pcm_substream *substream)
{... return 0; }

In fact it blows up so hard, I have been unsuccessful in getting a stack snapshot to see where the calling routine is, so I am going to have to put some code in there to halt at that point and dump the stack so I can see where we are going back too, and what the regs look like.

The chip is being recognized as a Realtek ALC892:

[root@maat sound]# cat /proc/asound/card*/codec* |grep "Codec:"
Codec: Realtek ALC892
Codec: ATI R6xx HDMI

-gcarter@aesgi.com
Comment 1 gcarter 2013-07-15 02:46:58 EDT
Created attachment 773562 [details]
Snapshot of stack and register values before crash
Comment 2 Josh Boyer 2013-09-18 16:47:27 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 12:56:07 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.